GNUNET-GNS(1)

NAME
gnunet-gns - Access to GNU Name System

SYNOPSIS
gnunet-gns [options]

DESCRIPTION
gnunet-gns can be used to lookup and process GNU Name Service names.

OPTIONS

-c FILENAME,  --config=FILENAME
    Use the configuration file FILENAME.

-r, --raw
    No unneeded output. This is a quiet mode where only important information is displayed. For example a lookup for an IP address will only yield the IP address, no descriptive text.

-h, --help
    Print short help on options.

-L LOGLEVEL, --loglevel=LOGLEVEL
    Use LOGLEVEL for logging. Valid values are DEBUG, INFO, WARNING and ERROR.

-u NAME, --lookup=NAME
    Name to lookup. Resolve the specified name using the GNU Name System.

-t TYPE, --type=TYPE
    Resource Record Type (TYPE) to look for. Supported TYPE's are: A, AAAA, CNAME, NS, PKEY, PSEU, TLSA, SRV, SOA, MX, LEHO, VPN, REV, PTR, TXT Defaults to "A".

-v, --version
    Print GNUnet version number.

RETURN VALUE
gnunet-gns will return 0 on success, 1 on internal failures, 2 on launch failures, 4 if the given name is not configured to use GNS.

BUGS
Report bugs by using Mantis <https://gnunet.org/bugs/> or by sending electronic mail to <gnunet-developers@gnu.org>

SEE ALSO
gnunet-namestore(1), gnunet-identity(1)